# $Revision: 1.36 $, $Date: 2010/11/16 08:22:21 $
%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	Net_POP3
Summary:	%{_pearname} - POP3 class to access POP3 server
Summary(pl.UTF-8):	%{_pearname} - klasa POP3 dająca dostęp do serwerów POP3
Name:		php-pear-%{_pearname}
Version:	1.3.8
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	fb40733d8623784ba115804cd76ec598
URL:		http://pear.php.net/package/Net_POP3/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-Net_Socket >= 1.0
Requires:	php-pear-PEAR-core >= 1:1.4.0
Suggests:	php-pear-Auth_SASL
Obsoletes:	php-pear-Net_POP3-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Auth/SASL.*)

%description
Provides a POP3 class to access POP3 server. Support all POP3 commands
including UIDL listings, APOP authentication, DIGEST-MD5 and CRAM-MD5
using optional Auth_SASL package.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Dostarcza klasę POP3, dającą dostęp do serwerów POP3. Wspiera
wszystkie komendy POP3, włączając w to listy UIDL, uwierzytelnianie
APOP, DIGEST-MD5 i CRAM-MD5 z użyciem klasy Auth_SASL.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/POP3.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_POP3.spec,v $
Revision 1.36  2010/11/16 08:22:21  glen
- up to 1.3.8

Revision 1.35  2010/08/21 19:08:14  glen
- updated deps with pearize.sh
- release 2

Revision 1.34  2010/08/19 12:59:18  glen
- up to 1.3.7

Revision 1.33  2008/01/31 12:17:05  glen
- rel 4

Revision 1.32  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.30  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.29  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.28  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.27  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.26  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.25  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.24  2005/10/05 20:59:19  glen
- rel 2

Revision 1.23  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.22  2005/09/29 00:17:11  glen
- new pear packaging

Revision 1.21  2005/04/07 23:56:45  ankry
- pl fix

Revision 1.20  2005/04/06 11:04:43  adamg
- updated to 1.3.6

Revision 1.19  2005/02/05 19:30:42  adamg
- updated to 1.3.5

Revision 1.18  2004/12/19 14:55:16  adamg
- updated to 1.3.4

Revision 1.17  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.16  2004/10/24 18:53:07  paladine
- spelling fixes, uppercases, etc.

Revision 1.15  2004/10/01 19:49:30  adamg
- updated to 1.3.3

Revision 1.14  2004/07/08 19:21:39  adamg
- updated to 1.3.2

Revision 1.13  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.12  2004/03/19 22:25:17  adamg
- updated to 1.3.1

Revision 1.11  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.10  2004/03/04 07:48:23  adamg
- updated to 1.3

Revision 1.9  2003/10/07 20:55:41  adamg
- do not use macros in URL

Revision 1.8  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.7  2003/05/28 08:58:45  adamg
- massive attack: added source0-md5

Revision 1.6  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/02/13 16:58:19  blues
- added status info

Revision 1.4  2002/10/14 23:49:03  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.3  2002/09/15 10:48:56  blues
- fix in macros

Revision 1.2  2002/07/27 13:15:57  blues
- 1.2 (only license change)
STBR

Revision 1.1  2002/07/14 14:01:07  blues
- initial release
